import xmlrpclib
import sys

url = "http://www.scs.ubbcluj.ro:7777/";
user = "NUME_USER";
password = "PAROLA";
host1 = "cs.ubbcluj.ro";
host2 = "scs.ubbcluj.ro";
filtru1 = "{host=scs.ubbcluj.ro}"; # Toti userii de pe hostul specificat
filtru2 = "{nume=Co.*|Mi.*,host=scs.ubbcluj.ro,grupa=gr231|gr252}";
filtru3 = "{user=florin,host=cs.ubbcluj.ro}"; # Numai userul florin de pe hostul specificat
subject1 = "Luni, 30.11.2009 liber";
subject2 = "Subiect test";
mesaj1 = "Mesaj de\ntest cu python";
mesaj2 = """
1. Luni, 30.11.2009 este zi libera. Studentii, de comun acord
cu profesorii, vor stabili recuperarile necesare.\n
2. Studentii din anul 2, ca si masteranzii din anul 1, sunt invitati 
sa isi aleaga lucrarile de licenta / disertatie\n
Dupa cum s-a mai anuntat, celor care nu isi aleg li se vor repartiza 
din oficiu
"""
NL = "\n\r";

# Eventuala preluare a unui URL al serviciului
for s in sys.argv:
  if s.upper().find("URL=") == 0:
    url = s[4:]
  if not s.endswith("/"):
    url += "/"
client = xmlrpclib.Server(url)

print "Client Python (cateva teste de apel):"

raspuns = client.UsersGateway.authenticateUser(user, password, host1)
print NL+raspuns

raspuns = client.UsersGateway.authenticateUser(user, password, host1)
print NL+raspuns

raspuns = client.UsersGateway.authenticateUser(user, password, host2)
print NL+raspuns

raspuns = client.UsersGateway.getAllAni(user, password, host1)
print NL+raspuns

raspuns = client.UsersGateway.getAllCatedre(user, password, host2)
print NL+raspuns

raspuns = client.UsersGateway.getAllGrupe(user, password, host2)
print NL+raspuns

raspuns = client.UsersGateway.getAllSpecializari(user, password, host2)
print NL+raspuns

raspuns = client.UsersGateway.getAllUseri(user, password, host2)
print NL+raspuns

raspuns = client.UsersGateway.getUsers(user, password, host1, filtru2)
print NL+raspuns

raspuns = client.UsersGateway.getUsers(user, password, host2, filtru3)
print NL+raspuns

raspuns = client.UsersGateway.sendMail(user, password, host1, filtru3, subject1, mesaj1)
print NL+raspuns

raspuns = client.UsersGateway.sendMail(user, password, host1, filtru1,  subject2, mesaj2)
print NL+raspuns
