import javax.xml.ws.Dispatch;
import javax.xml.ws.Service;
import javax.xml.namespace.QName;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPMessage;
import java.net.URL;
import java.io.FileInputStream;
public class GoogleClient {
  public static void main(String[] args) throws Exception {
    String wsdl = "http://api.google.com/GoogleSearch.wsdl";
    URL url = new URL(wsdl);
    QName serviceName = new QName("urn:GoogleSearch", "GoogleSearchService");
    QName portName = new QName("urn:GoogleSearch", "GoogleSearchPort");
    Service service = Service.create(url, serviceName);
    Dispatch dispatch = service.createDispatch(portName,
            SOAPMessage.class, Service.Mode.MESSAGE);
    MessageFactory mf = MessageFactory.newInstance();
    SOAPMessage req = mf.createMessage(null, new FileInputStream(args[0]));
    SOAPMessage res = (SOAPMessage)dispatch.invoke(req);
    res.writeTo(System.out);
  }
}
