import org.apache.xmlrpc.client.*;
import java.net.*;

public class Client {
public static final String NL = System.getProperty("line.separator");
  public static void main(String[] args) throws Exception {

    String url = "http://www.scs.ubbcluj.ro:7777/";
    String user = "NUME_USER";
    String password = "PAROLA";
    String host1 = "cs.ubbcluj.ro";
    String host2 = "scs.ubbcluj.ro";
    String filtrus = "{host=scs.ubbcluj.ro,an=2}";// Toti userii din anul 2
    String filtruc = "{host=cs.ubbcluj.ro}";// Toate cadrele
    String filtru1 = "{host=scs.ubbcluj.ro}";// Toti userii de pe hostul specificat
    String filtru2 = "{nume=Co.*|Mi.*,host=scs.ubbcluj.ro,grupa=gr231|gr252}";
    String filtru3 = "{user=florin,host=cs.ubbcluj.ro}"; // Numai userul florin de pe hostul specificat
    String subject1 = "Luni, 30.11.2009 liber";
    String subject2 = "Subiect test";
    String mesaj1 = "Mesaj de\ntest cu pachetul XmlRpc.jar";
    String mesaj2 = "1. Luni, 30.11.2009 este zi libera. Studentii, de comun acord" +
            " cu profesorii, vor stabili recuperarile necesare.\n" +
            "2. Studentii din anul 2, ca si masteranzii din anul 1, sunt invitati " +
            "sa isi aleaga lucrarile de licenta / disertatie\n" +
            "Dupa cum s-a mai anuntat, celor care nu isi aleg li se vor repartiza " +
            "din oficiu";
    Object[] parametrii;
    Object raspuns;

    // Eventuala preluare a unui URL al serviciului
    for (String s : args) {
      if (s.toUpperCase().indexOf("URL=") == 0) {
        url = s.substring(4);
      }
    }
    if (!url.endsWith("/")) {
      url += "/";
    }

    // Secventa de creare a obiectului client
    XmlRpcClientConfigImpl config = new XmlRpcClientConfigImpl();
    config.setServerURL(new URL(url));
    XmlRpcClient client = new XmlRpcClient();
    client.setConfig(config);

    // Urmeaza apelurile de test
    System.out.println("Client Java (cateva teste de apel):");
    parametrii = new Object[]{user, password, host1, filtruc};
    raspuns = client.execute("UsersGateway.getUsers", parametrii);
    System.out.println(NL+raspuns.toString());
    parametrii = new Object[]{user, password, host1, filtrus};
    raspuns = client.execute("UsersGateway.getUsers", parametrii);
    System.out.println(NL+raspuns.toString());
/*
    parametrii = new Object[]{user, password, host1};
    raspuns = client.execute("UsersGateway.authenticateUser", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2};
    raspuns = client.execute("UsersGateway.authenticateUser", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host1};
    raspuns = client.execute("UsersGateway.getAllAni", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2};
    raspuns = client.execute("UsersGateway.getAllCatedre", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2};
    raspuns = client.execute("UsersGateway.getAllGrupe", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2};
    raspuns = client.execute("UsersGateway.getAllSpecializari", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2};
    raspuns = client.execute("UsersGateway.getAllUseri", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host1, filtru2};
    raspuns = client.execute("UsersGateway.getUsers", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host2, filtru3};
    raspuns = client.execute("UsersGateway.getUsers", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host1, filtru3, subject1, mesaj1};
    raspuns = client.execute("UsersGateway.sendMail", parametrii);
    System.out.println(NL+raspuns.toString());

    parametrii = new Object[]{user, password, host1, filtru1,  subject2, mesaj2};
    raspuns = client.execute("UsersGateway.sendMail", parametrii);
    System.out.println(NL+raspuns.toString());
*/  }
}
